// @ts-ignore
import { createStore, createLogger } from "vuex";
import common from "./modules/common";

const debug = process.env.NODE_ENV !== "production";

export default createStore({
  modules: {
    common,
  },
  strict: debug,
  plugins: debug ? [createLogger()] : [],
});
